Loading...
Searching...
No Matches
Random.h File Reference

Defines deterministic random functions, and methods to redirect front-end calls to random_float and random_int to use them. More...

`#include <vector>`
`#include "Expr.h"`
`#include "Func.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Expr | Halide::Internal::random_float (const std::vector< Expr > &)
| Return a random floating-point number between zero and one that varies deterministically based on the input expressions.
Expr | Halide::Internal::random_int (const std::vector< Expr > &)
| Return a random unsigned integer between zero and 2^32-1 that varies deterministically based on the input expressions (which must be integers or unsigned integers).
Expr | Halide::Internal::lower_random (const Expr &e, const std::vector< VarOrRVar > &free_vars, int tag)
| Convert calls to random() to IR generated by random_float and random_int.

## Detailed Description

Defines deterministic random functions, and methods to redirect front-end calls to random_float and random_int to use them.

Definition in file Random.h.